<?php
global $Session;
global $Conf;
global $Route;

//! on va chercher la data de la Session au format tableau
$session_data = $Session->get_data();
$fk_user = $Session->_user["rowid"];

switch ($Route->_action) {
  case "refresh":
    //! Rafraîchit la liste des messages
    //! Réception et lecture de la demande en json
    $data = json_decode(file_get_contents("php://input"));
    if (isset($data->cid)) {
      $cid = nettoie_input($data->cid);
      $sql = 'SELECT dh.*, u.libelle, u.prenom FROM devis_histo dh LEFT JOIN users u ON dh.fk_user=u.rowid WHERE dh.fk_devis=' . $cid . ' ORDER BY dh.date_histo DESC;';
      echo getinfos($sql, "gen", "json");
    } else {
      echo "Erreur : pas de client";
    }
    break;

  case "save_message":
    //! Réception et lecture de la demande en json
    $data = json_decode(file_get_contents("php://input"));
    if (isset($data->cid)) {
      $cid = nettoie_input($data->cid);
      $mes = nettoie_input($data->message);
      $fku = nettoie_input($data->fkuser);

      $sql = 'INSERT INTO devis_histo (fk_devis, fk_user, commentaire, date_histo) VALUES (' . $cid . ', ' . $fku . ', "' . $mes . '", "' . date("Y-m-d H:i:s") . '");';
      eLog($sql);
      qSQL($sql, "gen");

      $ret = array('ret' => "ok");
      echo json_encode($ret);
    } else {
      $ret = array('ret' => "ko");
      echo json_encode($ret);
    }
    break;

}
exit();
